@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
}

html,
body {
    height: 100%;
    width: 100%;
}

header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 15px 40px;
}

.left-nav {
    gap: 50px;
    display: flex;
    align-items: center;
}

nav {
    letter-spacing: 0.1px;
    font-size: 13px;
    font-weight: 500;
    gap: 28px;
    display: flex;
    margin-top: 10px;
}

.nav-btn {
    display: flex;
    gap: 10px;
}

button {
    font-size: 15px;
    font-weight: 500;
    padding: 15px 20px;
    border-radius: 30px;
    border: none;
}



.hero {
    width: 100%;
    min-height: 70vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    padding: 35px 20px 80px;
}

.hero h1 {
    font-size: 70px;
    line-height: 1.2;
    font-family: Georgia, serif;
    font-weight: 500;

    color: #111;
}

.hero p {
    margin-top: 30px;
    font-size: 17px;
    line-height: 1.5;
    color: #111;
    max-width: 900px;
}

.search-bar {
    width: 800%;
    max-width: 750px;
    background: #efeff2;
    border-radius: 60px;
    margin: 30px 0;
    padding: 10px 16px 10px 35px;
    display: flex;
    justify-content: space-between;
    align-items: center;

    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.03);
}

.search-bar input {
    width: 100%;
    border: none;
    outline: none;
    background: transparent;
    font-size: 15px;
    color: #111;
}

.search-bar input::placeholder {
    color: #b3b3c5;
}

.search-right {
    display: flex;
    align-items: center;
    gap: 22px;
}

.search-right span {
    font-size: 15x;
    font-weight: 500;
    display: flex;
    align-items: center;
    gap: 10px;
    cursor: pointer;
}

.search-right button {
    width: 40px;
    height: 40px;
    border: none;
    border-radius: 50px;
    background: #ea4c89;
    color: white;
    font-size: 24px;
    cursor: pointer;
    transition: 0.3s;
    display: flex;
    align-items: center;
    justify-content: center;
}

.search-right button:hover {
    transform: scale(1.05);
}

.tags {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 18px;
    flex-wrap: wrap;
}

.label {
    color: #b0a8b8;
    font-size: 14px;
}

.tags button {
    padding: 12px 24px;

    border: none;
    border-radius: 30px;

    background: #efeff2;

    color: #111;

    font-size: 12px;

    cursor: pointer;

    transition: 0.3s;
}

.tags button:hover {
    background: #111;
    color: white;
}

.products {
    width: 100%;
    padding: 0 60px;
    min-height: 80vh;
}

.category-bar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 20px;
    flex-wrap: wrap;
}

.popular-btn,
.filter-btn {
    padding: 5px 10px;
    border: 1px solid #b1b1b2;
    border-radius: 10px;
    background: white;
    display: flex;
    align-items: center;
    gap: 10px;
    font-size: 14px;
    font-weight: 500;
    cursor: pointer;
    transition: 0.3s;
}

.filter-btn {
    padding: 8px 12px;
    border-radius: 30px;
}

.popular-btn:hover,
.filter-btn:hover {
    background: #f1f1f1;
}

.categories {
    display: flex;
    align-items: center;
    gap: 40px;
    flex-wrap: wrap;
}

.categories a {
    text-decoration: none;
    color: #111;
    font-size: 14px;
    font-weight: 500;
    transition: 0.3s;
}

.categories a:hover {
    opacity: 0.7;
}

.categories .active {
    background: #ededed;
    padding: 6px 12px;
    border-radius: 30px;
}

.cards {
    padding: 30px 0;
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    gap: 25px;
}

.card {
    height: 270px;
}

.poster {
    border-radius: 15px;
    height: 90%;
    position: relative;
    overflow: hidden;
    transition: 0.2s;
}

.poster:hover {
    border-bottom-left-radius: 0;
    border-bottom-right-radius: 0;
}

.poster>img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.poster>video{
    width: 50%;
    height: 100%;
    object-fit: cover;
    z-index: 1;
}

.poster-bottom {
    width: 100%;
    height: 40%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 30px 20px 20px;
    position: absolute;
    bottom: -100%;
    transition: all 0.4s ease-in-out;
    background: linear-gradient(to top, #111, transparent);
}

.poster:hover .poster-bottom {
    bottom: 0;
    z-index: 10;
}

.poster-bottom p {
    width: 60%;
    color: white;
    font-size: 15px;
    font-weight: 600;
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
}

.poster-btn {
    display: flex;
    gap: 10px;
}

.favorite,
.bookmark {
    height: 45px;
    width: 45px;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: white;
    border-radius: 50px;
}

.poster-bottom-nav {
    font-size: 14px;
    padding-top: 10px;
    display: flex;
    align-items: center;
    height: 10%;
    justify-content: space-between;
}

.poster-bottom-nav-left {
    display: flex;
    align-items: center;
    gap: 7px;
}
.poster-bottom-nav-left span{
    font-size: 12px;
    padding: 2px 3px 1.5px ;
    font-weight: 500;
    background-color: rgba(147, 147, 147, 0.896);
    line-height: 1;
    color: white;
}

.poster-bottom-nav-right {
    align-items: center;
    display: flex;
    gap: 7px;
}




.infinite-strip {
    margin: 60px 0;
    display: flex;
    overflow: hidden;
}

.strip1,
.strip2 {
    padding: 0 70px;
    animation: loop 20s linear infinite;
    gap: 115px;
    display: flex;
}

@keyframes loop {
    0% {
        transform: translateX(0%);
    }

    100% {
        transform: translateX(-100%);
    }
}




.footer {
    width: 100%;
    padding: 45px 160px;
    background: white;
}

.footer-top {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    gap: 30px;
}

.footer-links {
    display: flex;
    gap: 38px;
    list-style: none;
    flex-wrap: wrap;
}

.footer-links a {
    text-decoration: none;
    color: #000;
    font-size: 15px;
    font-weight: 500;
    transition: 0.3s;
}

.footer-links a:hover {
    opacity: 0.7;
}

.social-icons {
    display: flex;
    gap: 15px;
}

.social-icons i {
    font-size: 28px;
    cursor: pointer;
    transition: 0.3s;
}

.social-icons i:hover {
    transform: translateY(-3px);
}

.footer-bottom {
    margin-top: 50px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    gap: 25px;
}

.left,
.right {
    display: flex;
    gap: 28px;
    flex-wrap: wrap;
    align-items: center;
}

.left p,
.left a,
.right a {
    color: #8d8d8d;
    text-decoration: none;
    font-size: 13px;
}

.left a:hover,
.right a:hover {
    color: #111;
}